ZMQ_MSG_GET(3)

NAME
zmq_msg_get - get message property

SYNOPSIS

int zmq_msg_get (zmq_msg_t *message, int property);

DESCRIPTION

The zmq_msg_get() function shall return the value for the property specified by the property argument for the message pointed to by the message argument.

The following properties can be retrieved with the zmq_msg_get() function:

ZMQ_MORE
    Indicates that there are more message frames to follow after the message.

RETURN VALUE

The zmq_msg_get() function shall return the value for the property if successful. Otherwise it shall return -1 and set errno to one of the values defined below.

ERRORS

EINVAL
    The requested property is unknown.

EXAMPLE

Receiving a multi-frame message.

    while (true) {
        //  Create an empty 0MQ message to hold the message frame
        int rc = zmq_msg_init (&frame);
        assert (rc == 0);
        //  Block until a message is available to be received from socket
        rc = zmq_recvmsg (socket, &frame, 0);
        assert (rc != -1);
        if (zmq_msg_get (&frame, ZMQ_MORE))
            fprintf (stderr, "more\n");
        else {
            fprintf (stderr, "end\n");
            break;
        }
        zmq_msg_close (frame);
    }

SEE ALSO

zmq_msg_set(3) zmq_msg_init(3) zmq_msg_close(3) zmq(7)

AUTHORS

This 0MQ manual page was written by Chuck Remes <cremes@mac.com[1]> and Pieter Hintjens <ph@imatix.com[2]>.

NOTES

1.  cremes@mac.com
    mailto:cremes@mac.com

2.  ph@imatix.com
    mailto:ph@imatix.com